# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Locale-US
Version:	3.04
Release:	3.%{__distinit}%{__distvers}
Summary:	Two letter codes for state identification in the United States
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Locale-US/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AC/ACCARDO/Locale-US-%{version}.tar.gz
Patch1:		Locale-US-2.112140-rt56989.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Data::Section::Simple)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Map from US two-letter codes to states and vice versa.

%prep
%setup -q -n Locale-US-%{version}

# Add regression test for CPAN RT#56989
%patch1 -p1

# Script should be executable, even if it's just a doc
chmod -c +x kruft2codes.pl

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README codes.dat kruft.txt kruft2codes.pl
%{perl_vendorlib}/Locale/
%{_mandir}/man3/Locale::US*.3*

%changelog
* Thu Sep  1 2016 Paul Howarth <paul@city-fan.org> - 3.04-3
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Sep  2 2015 Paul Howarth <paul@city-fan.org> - 3.04-1
- Update to 3.04
  - New upstream maintainer Mike Accardo
- This release by ACCARDO → update source URL
- Classify buildreqs by usage

* Fri Aug 29 2014 Paul Howarth <paul@city-fan.org> - 2.112150-9
- Use %%license where possible
- Drop support for old distributions prior to FC-5:
  - Drop %%defattr, redundant since rpm 4.4
  - Drop patch for building with ExtUtils::MakeMaker < 6.30

* Mon Jun 25 2012 Paul Howarth <paul@city-fan.org> - 2.112150-3
- BR: perl(Test) rather than perl(Test::More)
- BR: perl(Data::Dumper)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Aug  3 2011 Paul Howarth <paul@city-fan.org> - 2.112150-1
- Update to 2.112150
  - Get rid of left-over debugging code (CPAN RT#30949)
- Drop patch for CPAN RT#30949, no  longer needed

* Wed Aug  3 2011 Paul Howarth <paul@city-fan.org> - 2.112140-1
- Update to 2.112140
- BR: perl(Data::Section::Simple) and perl(Test::More)
- Package LICENSE file
- Upstream fixed CPAN RT#56989 but didn't add regression test, so tweak the
  patch accordingly
- Add patch to support building with ExtUtils::MakeMaker < 6.30
- Add patch to get rid of left-over debugging code (CPAN RT#30949)

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> - 1.2-5
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Feb  2 2011 Paul Howarth <paul@city-fan.org> - 1.2-4
- Add patch to address CPAN RT#56989 (Locale::US fails after second call to
  new)

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.2-3
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> - 1.2-2
- Fix dist tag for RHEL-6 Beta

* Fri Jan 29 2010 Paul Howarth <paul@city-fan.org> - 1.2-1
- Initial RPM version
